# eric4.Preferences.ConfigurationPages.EditorKeywordsPage

Module implementing the editor highlighter keywords configuration page.

### Global Attributes

None

### Classes

EditorKeywordsPage | Class implementing the editor highlighter keywords configuration page.

### Functions

create | Module function to create the configuration page.

## EditorKeywordsPage

Class implementing the editor highlighter keywords configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorKeywordsPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorKeywordsPage | Constructor
on_languageCombo_activated | Private slot to fill the keywords edit.
on_setSpinBox_valueChanged | Private slot to fill the keywords edit.
save | Public slot to save the editor highlighter keywords configuration.

### Static Methods

None

#### EditorKeywordsPage (Constructor)

EditorKeywordsPage()

Constructor

#### EditorKeywordsPage.on_languageCombo_activated

on_languageCombo_activated(language)

Private slot to fill the keywords edit.

language
  selected language (QString)

#### EditorKeywordsPage.on_setSpinBox_valueChanged

on_setSpinBox_valueChanged(kwSet)

Private slot to fill the keywords edit.

kwSet
  number of the selected keyword set (integer)

#### EditorKeywordsPage.save

save()

Public slot to save the editor highlighter keywords configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up